// Javascript
function isValidDate(calendar_year, calendar_month, calendar_day)
{
	d = newDateFromNumbers(calendar_year, calendar_month, calendar_day);

	if (d.getDate() != calendar_day) {
		return false;
	}

	return true;
}

function newDateFromNumbers(calendar_year, calendar_month, calendar_day)
{
	var zero_based_month = calendar_month - 1;
	var d = new Date(0);

	d.setFullYear(calendar_year);
	d.setMonth(zero_based_month);
	d.setDate(calendar_day);

	return d;
}

function isDateBefore(a, b)
{
	return a.getTime() < b.getTime();
}

function isDateSetActive(base_name, form)
{
	var radio = form.elements[base_name + 'Set_specific'];
	return radio.checked;
}

function isDateEqual(a,b)
{
    return a.getTime() == b.getTime();
}

function newDateFromNamedFields(dom_document, form, base_name)
{
	date = new Date(0);

	day = getValueFromNamedElement(document, base_name + "Day");
	month = getValueFromNamedElement(document, base_name + "Month");
	year = getValueFromNamedElement(document, base_name + "Year");

if (!isValidDate(year,month,day)) {
    return false;
}
	date.setDate(day);
	date.setMonth(month - 1);
	date.setFullYear(year);

	return date;
}

function getValueFromNamedElement(dom_document, name)
{
	var element = dom_document.getElementById(name);

	return element.value;
}